### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class MetadataSourceProperties

java.lang.Object
com.sas.services.deployment.MetadataSourceProperties

@SASScope("ALL") @BinaryCompatibilityOnly public final class MetadataSourceProperties extends Object
Configuration properties used to specify a metadata source.

Properties which may be used to configure a metadata source are described in the `MetadataSourceFactory` class.

Since:
  9.2
See Also:
  - `MetadataSourceFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataSourceProperties()`
  Constructs a default instance.
  `MetadataSourceProperties(Properties properties)`
  Constructs properties which can be used to configure a metadata source for foundation services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Clears all properties.
  `Properties`
  `getProperties()`
  Gets a copy of the properties used to configure a metadata source.
  `void`
  `setProperties(Properties properties)`
  Sets properties used to configure a metadata source.
  `void`
  `setPropertiesURL(URL propertiesURL)`
  Initialize the configuration using properties read from the configuration at the specified URL.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataSourceProperties

    public MetadataSourceProperties()
    Constructs a default instance.

    This object must be initialized using `setProperties(Properties)`.

    See Also:
      - `setProperties(Properties)`

  - ### MetadataSourceProperties

    public MetadataSourceProperties(Properties properties) throws ServiceException
    Constructs properties which can be used to configure a metadata source for foundation services.
    Parameters:
      `properties` - Map containing properties used to configure a metadata source
    Throws:
      `ServiceException` - if an invalid map is specified.

- ## Method Details

  - ### setPropertiesURL

    public void setPropertiesURL(URL propertiesURL) throws ServiceException
    Initialize the configuration using properties read from the configuration at the specified URL.
    Parameters:
      `propertiesURL` - URL from which properties will be loaded.
    Throws:
      `ServiceException` - if unable to load properties from the specified URL.

  - ### setProperties

    public void setProperties(Properties properties) throws ServiceException
    Sets properties used to configure a metadata source.
    Parameters:
      `properties` - Properties used to configure a metadata source
    Throws:
      `ServiceException` - if an invalid map is specified.
    See Also:
      - `getProperties()`

  - ### getProperties

    public Properties getProperties()
    Gets a copy of the properties used to configure a metadata source.
    Returns:
      Properties used to configure a metadata source.
    See Also:
      - `setProperties(Properties)`

  - ### destroy

    public void destroy()
    Clears all properties.